## org.apache.batik.css.engine.value.css2
Class CursorManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.css2.CursorManager

All Implemented Interfaces:
  ValueManager

public class CursorManager
extends AbstractValueManager

This class provides a manager for the 'cursor' property values.

Field Summary
`protected static StringMap` `values` The identifier values.

Constructor Summary
`CursorManager()`

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`Value` `getDefaultValue()` Implements `ValueManager#getDefaultValue()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`boolean` `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue, createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### CursorManager

    public CursorManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager#getDefaultValue()`.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractValueManager`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.